Subject: bugfixes: XPlaycd/XMixer1.1
From: [email-masked] (olav woelfelschneider)
Date: Wed, 31 Aug 1994 19:07:16 GMT
Newsgroups: comp.os.linux.announce

Hi linuxers,

I've made some bugfixes to XMixer and XPlaycd.

Currently, the programs sit at:
        sunsite.unc.edu:/pub/linux/incoming/multimedia1.1.tar.gz
Hopefully it will end up in /pub/linux/apps/sound/multimedia1.1.tar.gz

XPlaycd is just another audio cd player for linux. You can play audio cd's in
your cdrom drive with it. It runs under plain X and does not need neither
OpenWindows nor Motif.

XMixer lets you control your soundcards mixer settings. It contains a slider
for every controllable volume and switches for loudness, stereo wide, mute and
source selection.

The package contains binaries and runs hopefully right out of the box.

This is version 1.1, with some bugfixes vs. version 1.0.

The fixes:
XMixer:
- Some people reported that it crashes with segmentation faults. This is
  hopefully fixed now.
- Most sliders/buttons which are not supported by your soundcard are drawn
  stippled now and are disabled.

XPlaycd:
- At least one cdrom drive brand makes weird noises when polled without a cd
  in it. If your drive is one of those, remove EMPTY_POLL from config.h and
  recompile.

That's all for now, a xmcd compatible cd-database system is under
construction, but will still take some time to finish.

The .lsm entry follows:

-----------------------------------------------------------------------------
Begin2
Title        = multimedia - X-based mixer and cdplayer
Version      = V1.1
Desc1        = This package contains xmixer and xplaycd. You can use xmixer
Desc2        = control your soundcard and xplaycd to play cd's on your cdrom.
Desc3        = It runs on plain X and has a nice look and feel. 
Desc4        = Binaries included. A .gif file describes the use of xplaycd.
Author       = Olav Woelfelschneider
AuthorEmail  = [email-masked]
Site1        = sunsite.unc.edu
Path1        = /pub/linux/apps/sound
File1        = multimedia1.1.tar.gz
FileSize1    = 65k binary
Required1    = A linux system with a cdrom-drive(xplaycd, It should work with
Required2    = every drive which can handle standard ioctl calls) and/or
Required3    = soundcard(xmixer). 
CopyPolicy1  = GNU
Keywords     = sound cd compact disc audio cdplayer mixer soundcard
Entered      = 11JUL94
EnteredBy    = Olav Woelfelschneider
CheckedEmail = [email-masked]
End
-----------------------------------------------------------------------------

--
/======================================\
| Olav "Mac" Woelfelschneider          |
| [email-masked] |
+--------------------------------------+
| I refuse to grow up,                 |
| I don't want to lose my humor...     |
\======================================/

--
Send submissions for comp.os.linux.announce to: [email-masked]
Be sure to include Keywords: and a short description of your software.